### Function Macro

# GObject TYPE_CHECK_VALUE_TYPE

#### Declaration [src]

    #define G_TYPE_CHECK_VALUE_TYPE (
      value,
      g_type
    )

#### Description [src]

Checks if `value` has been initialized to hold values of type `g_type`.

This macro should only be used in type implementations.

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `-`

  A `GValue`.

`g_type`

  Type: `-`

  The type to be checked.